QGIS Application - Bug report #18373
Annotation Scaling
2018-03-07 01:44 PM - Michael Mé&chler

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:3.0.0 Regression?: No
Operating System: Windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupks data: Copied to github as #: 26263
Description

The scaling of Annotations seems to behave wrong when printing

This is how it looks like in the layout view:
However if | print the map as PDF it looks like this (scaling seems off):
A possible workaround is to change the rendering settings of the map from the ltem Properties section. Changing the rendering settings
of the map in the Item Properties section to Darken did the trick for a simple example. However, for a more complex map, it didn't work...

Here the question on stackexchange: https://gis.stackexchange.com/questions/273862/qqgis-3-0-annotation-scaling

Associated revisions

Revision 67271cfd - 2019-04-30 06:22 AM - Nyall Dawson

Fix incorrect annotation scaling when exporting layouts

Previously, annotation size and position always used pixel units. This
did not work well when exporting layouts, resulting in tiny annotations
(it also caused issues when moving projects between hidpi/non hidpi
displays).

Instead, use millimeters for annotation size and position so that the
appearance is consistent across displays and works correctly in layout
exports.

Add lots of unit tests covering this.

Fixes #18373

Revision e771b056 - 2019-04-30 06:22 AM - Nyall Dawson

Fix incorrect annotation scaling when exporting layouts
https://gis.stackexchange.com/questions/273862/qgis-3-0-annotation-scaling

Previously, annotation size and position always used pixel units. This
did not work well when exporting layouts, resulting in tiny annotations
(it also caused issues when moving projects between hidpi/non hidpi
displays).

Instead, use millimeters for annotation size and position so that the
appearance is consistent across displays and works correctly in layout
exports.

Add lots of unit tests covering this.

Fixes #18373

Revision 74307d61 - 2019-04-30 06:22 AM - Nyall Dawson

Fix incorrect annotation scaling when exporting layouts

Previously, annotation size and position always used pixel units. This
did not work well when exporting layouts, resulting in tiny annotations
(it also caused issues when moving projects between hidpi/non hidpi
displays).

Instead, use millimeters for annotation size and position so that the
appearance is consistent across displays and works correctly in layout
exports.

Add lots of unit tests covering this.

Fixes #18373

Revision 38ef62e1 - 2019-04-30 07:21 AM - Nyall Dawson

Fix incorrect annotation scaling when exporting layouts

Previously, annotation size and position always used pixel units. This
did not work well when exporting layouts, resulting in tiny annotations
(it also caused issues when moving projects between hidpi/non hidpi
displays).

Instead, use millimeters for annotation size and position so that the
appearance is consistent across displays and works correctly in layout
exports.

Add lots of unit tests covering this.

Fixes #18373

Revision 588a661e - 2019-04-30 08:33 AM - Nyall Dawson

Fix incorrect annotation scaling when exporting layouts
Previously, annotation size and position always used pixel units. This
did not work well when exporting layouts, resulting in tiny annotations
(it also caused issues when moving projects between hidpi/non hidpi
displays).

Instead, use millimeters for annotation size and position so that the
appearance is consistent across displays and works correctly in layout
exports.

Add lots of unit tests covering this.

Fixes #18373

Revision d56b72b0 - 2019-04-30 11:55 AM - Nyall Dawson

Fix incorrect annotation scaling when exporting layouts

Previously, annotation size and position always used pixel units. This
did not work well when exporting layouts, resulting in tiny annotations
(it also caused issues when moving projects between hidpi/non hidpi
displays).

Instead, use millimeters for annotation size and position so that the
appearance is consistent across displays and works correctly in layout
exports.

Add lots of unit tests covering this.

Fixes #18373

History

#1 - 2018-03-12 02:39 PM - Michael Méachler

Additional remark:

In a more complex map, it seemed the trick with changing the rendering settings of the map in the ltem Properties section to Darken would not work. | do
have a raster-layer on top of everything. If | deactivate this layer, the Annotations are correctly scaled.

I hope this helps to find the bug.

Thank you! :)

#2 - 2018-10-05 01:25 AM - Eron Lloyd

This is happening in QGIS 3.2.3 on macOS, as well. In 2.18.x, it seemed to work reliably in Windows, at least, but it is also now problematic there as well
on macOS.

#3 - 2019-03-09 03:12 PM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to end of life
End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

#4 - 2019-03-09 03:35 PM - Giovanni Manghi
- Resolution deleted (end of life)
- Status changed from Closed to Open

#5 - 2019-03-25 06:30 PM - vassilis fasoulas
We can't switch to v.3 from 2.8 due to this issue.

A lot of drawings have print layouts with annotations so is impossible to print.
Please correct this annoying issue

#6 - 2019-03-25 09:14 PM - Jeremy Carnahan

This really limits what you can do with customizing maps. | guess we have to go back to an old version as well.

#7 - 2019-03-26 03:17 PM - Giovanni Manghi

Please correct this annoying issue

https://nyalldawson.net/2016/08/how-to-effectively-get-things-changed-in-qgis/

#8 - 2019-03-26 03:17 PM - Giovanni Manghi

Jeremy Carnahan wrote:

| guess we have to go back to an old version as well.

https://nyalldawson.net/2016/08/how-to-effectively-get-things-changed-in-ggis/

#9 - 2019-04-16 08:50 AM - Nyall Dawson
- Status changed from Open to In Progress
- Assignee set to Nyall Dawson

#10 - 2019-04-30 07:21 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|38ef62e1ccd3463b8d83104815chb5cc4d1662641.
